Subject: bug#6839: closed (Re: 24.0.50; heuristic mask is turned on on gif images willy-nilly)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Aug 2010 07:50:03 +0000

Your bug report

#6839: 24.0.50; heuristic mask is turned on on gif images willy-nilly

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6839: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6839
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 24.0.50; heuristic mask is turned on on gif images willy-nilly
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 18 Aug 2010 16:49:53 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Katsumi Yamaoka wrote:
> Some gif images' background will be made transparent.
> Please try this:

> emacs -Q -bg black -fg white scholartest2009.gif

> Where the gif file is:

> http://mainichi.jp/life/edu/scholartest/etc/image/scholartest2009.gif

> It is due to `create-animated-image' that puts the heuristic mask
> property to gif images unconditionally.  image-mode uses it.
> Is it intentional?  I hope the `:mask heuristic' element is removed
> from `create-animated-image'.

I did it by myself.  Thanks.

> Emacs-w3m uses `create-animated-image' if it is available, instead
> of `create-image'.  It causes some gif images to be transparent.

Subject: 24.0.50; heuristic mask is turned on on gif images willy-nilly
From: Katsumi Yamaoka <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 11 Aug 2010 11:14:34 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Some gif images' background will be made transparent.
Please try this:

emacs -Q -bg black -fg white scholartest2009.gif

Where the gif file is:

http://mainichi.jp/life/edu/scholartest/etc/image/scholartest2009.gif

It is due to `create-animated-image' that puts the heuristic mask
property to gif images unconditionally.  image-mode uses it.
Is it intentional?  I hope the `:mask heuristic' element is removed
from `create-animated-image'.

Emacs-w3m uses `create-animated-image' if it is available, instead
of `create-image'.  It causes some gif images to be transparent.

Regards,